Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components.annotations
Class AnnotationsLangEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          edu.stanford.smi.protegex.owl.ui.components.annotations.AnnotationsLangEditor

All Implemented Interfaces:
  Serializable, CellEditor, TableCellEditor

    public class AnnotationsLangEditor

extends AbstractCellEditor
implements TableCellEditor

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 14, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`AnnotationsLangEditor(OWLModel model, JTable table)`

Method Summary
`Object` | `getCellEditorValue()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### AnnotationsLangEditor

    public AnnotationsLangEditor(OWLModel model,
                                 JTable table)

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.